Foros del Web » Administración de Sistemas » Unix / Linux »

error al instalar gnome-sharp

Estas en el tema de error al instalar gnome-sharp en el foro de Unix / Linux en Foros del Web. hola a todos. estoy intentando instalar mono y monodelop. Pero al compilar el paquete "gnome-sharp" me marca un error (lo pego mas abajo). ya lo ...
  #1 (permalink)  
Antiguo 03/04/2014, 23:09
Avatar de lair  
Fecha de Ingreso: enero-2009
Ubicación: header('Location: Morelia");
Mensajes: 1.052
Antigüedad: 13 años, 5 meses
Puntos: 46
error al instalar gnome-sharp

hola a todos.

estoy intentando instalar mono y monodelop. Pero al compilar el paquete "gnome-sharp" me marca un error (lo pego mas abajo).

ya lo habia instalado antes en CentOS 5, ahora lo estpy intentando en CentOS 6 y me marca esto:

[[email protected] gnome-sharp-2.24.1]# make && make install
make all-recursive
make[1]: Entering directory `/usr/src/gnome-sharp-2.24.1'
Making all in sources
make[2]: Entering directory `/usr/src/gnome-sharp-2.24.1/sources'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/usr/src/gnome-sharp-2.24.1/sources'
Making all in art
make[2]: Entering directory `/usr/src/gnome-sharp-2.24.1/art'
rm -f generated/* && \
/usr/bin/gapi2-codegen --generate art-api.xml \
-I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml \
--outdir=generated --customdir=. --assembly-name=art-sharp \
--gluelib-name=artsharpglue-2 --glue-filename=glue/generated.c \
--glue-includes= \
&& touch generated-stamp
/bin/sh: /usr/bin/gapi2-codegen: /bin/sh^M: bad interpreter: No such file or directory
make[2]: *** [generated-stamp] Error 126
make[2]: Leaving directory `/usr/src/gnome-sharp-2.24.1/art'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/gnome-sharp-2.24.1'
make: *** [all] Error 2

no se a que se deba.

gracias por su tiempo y ayuda.
  #2 (permalink)  
Antiguo 08/04/2014, 12:35
AlvaroG
Invitado
 
Mensajes: n/a
Puntos:
Respuesta: error al instalar gnome-sharp

Cuando veas un ^M en algún lado, el motivo es que algo tiene saltos de línea de Windows donde no debe.
Como los sistemas UNIX usan \n (LineFeed, LF) y Windows usa \r\n (CarriageReturn+LineFeed, CRLF), en muchas ocasiones lo que sucede es que el sistema toma el \r (representado como ^M) como el último caracter de la línea.

En este caso particular, el proceso falla porque en vez de tomar "/bin/sh" como intérprete para el script, se toma "/bin/sh\r", o "/bin/sh^M". Como no existe un archivo con nombre "s h CR", el proceso falla.

Busca la cadena /bin/sh en el código fuente que estás intentando compilar, con el mensaje de error de arriba no es suficiente para saber exactamente dónde está el error.
  #3 (permalink)  
Antiguo 09/04/2014, 06:35
Avatar de nup_  
Fecha de Ingreso: noviembre-2010
Mensajes: 265
Antigüedad: 11 años, 7 meses
Puntos: 32
Respuesta: error al instalar gnome-sharp

Hola:

Hay una herramienta llamada dos2unix q sirve para resolver este problema. Debe estar en el repositorio de tu distribución.
Úsala para convertir los saltos de línea de tus archivos de Windows a Unix.

slds;

nup_

Etiquetas: centos
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 13:59.